org.gradle.nativebinaries.toolchain

## Interface GccTool

-     @Incubating
      public interface GccTool

  An executable tool that forms part of a tool chain.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExecutable()` The name of the executable file for this tool.
    `void` | `setExecutable(String file)` Set the name of the executable file for this tool.
    `void` | `withArguments(Closure arguments)` Adds an action that will be applied to the command-line arguments prior to execution.

- - ### Method Detail

    - #### getExecutable

          String getExecutable()

      The name of the executable file for this tool.

    - #### setExecutable

          void setExecutable(String file)

      Set the name of the executable file for this tool. The executable will be located in the tool chain path.

    - #### withArguments

          void withArguments(Closure arguments)

      Adds an action that will be applied to the command-line arguments prior to execution.